Subject: Re: [PATCH 3/3] zImage: Cleanup and improve zImage entry point

From: Geoff Levand <[email-masked]>
Date: Mon, 19 Feb 2007 12:37:56 -0800

Benjamin Herrenschmidt wrote:
>> This messed me up a bit since I had two stacks in the bss, one for each
>> processor thread.  By the time this was called on the primary thread the
>> secondary thread could already be using its stack.  I changed the secondary
>> thread to use a small stack in the data section, so this seems OK.
> 
> The secondary thread(s) don't need a stack to loop in secondary hold,
> right ? So maybe we could go all the way without using a stack. Do we
> need C code at all for them ? We just need to hold them until we make
> them branch to the kernel.

I thought it would be nice to be able to use printf() in there so you
see the following.  Its handy for debugging.

smp_secondary_hold:307: released cpu (1)

-Geoff